Could not get RPM-GPG-KEY-CentOS-4

Support for security such as Firewalls and securing linux
Post Reply
abumo
Posts: 1
Joined: 2005/07/05 17:31:14

Could not get RPM-GPG-KEY-CentOS-4

Post by abumo » 2005/07/05 17:45:47

Hello

I am really new to world of linux and IDS

I installed CentOS 4 and snort according to the wonderful document Snort, Apache, SSL, PHP, MySQL, and BASE Install on CentOS 4 (or RHEL 4) By Patrick Harper.

Everything seams to be fine except the part Update your system


rpm --import http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-4

Then type “yum -y update” and it will check what you need and install it.

the above statment did not work with me! Do I have to configure somthing? I am behind a proxy server.
how do I keep CentOS up2date! Do I have to register?

I appreciate your reply

Minuteman
Posts: 17
Joined: 2005/05/18 16:29:21
Location: Switzerland

Could not get RPM-GPG-KEY-CentOS-4

Post by Minuteman » 2005/07/10 07:45:00

You should import them locally:
rpm –-import /usr/share/doc/centos-release-4/RPM-GPG-KEY*
yum update

PS: could you post a link to your snort install documentation?

K_Frye
Posts: 425
Joined: 2005/07/13 01:48:35
Location: Canada

Re: Could not get RPM-GPG-KEY-CentOS-4

Post by K_Frye » 2005/07/15 03:53:20

[quote]
abumo wrote:

Everything seams to be fine except the part Update your system

rpm --import http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-4

Then type “yum -y update” and it will check what you need and install it.

the above statment did not work with me! Do I have to configure somthing? I am behind a proxy server.
how do I keep CentOS up2date! Do I have to register?

I appreciate your reply[/quote]

The proxy server is the problem. You need to configure yum to work through it.

As root, define http_proxy (and optionally ftp_proxy):

eg:

# export http_proxy=http://somehost.com:port/
# export ftp_proxy=http://somehost.com:port/

If you're behind a Windows proxy, consider setting up ntlmaps (http://ntlmaps.sourceforge.net/).

Post Reply

Return to “CentOS 4 - Security Support”